#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libkmod installation
#
# Creation   :  2015-03-31 holbru
# Last update:  $Id: postinstall-libkmod.sh 41299 2016-05-02 11:46:25Z hbfl $
#
# Copyright (c) 2015-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libkmod

# ---------------------------------------------------------------------------
# run depmod to correct modules.* versions
# ---------------------------------------------------------------------------
inst_kernel=$(ls -1 /lib/modules)
symtab=$(find / -maxdepth 1 -type f -name 'Sys*' -printf '%f\n')

for i in ${inst_kernel}
do
    if echo "${symtab}" | grep -q ${i}
    then
        /sbin/depmod -ae -F /System.map-${i} ${i}
    else
        /sbin/depmod -a ${i}
    fi
done

# ---------------------------------------------------------------------------
# update-2.7.3
# ---------------------------------------------------------------------------
update_2_7_3()
{
    rm -f /usr/lib/libkmod.so.2.2.9
}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
